# tls.myprivkey

Provides the private key that matches `tls.mycert` for DTLS authentication.

This parameter applies to omdtls: Output Module for DTLS Protocol over UDP.

Name:

  tls.myprivkey

Scope:

  input

Type:

  string

Default:

  input=none

Required?:

  no

Introduced:

  v8.2402.0

## Description

The private key file corresponding to tls.mycert. This key is used for the cryptographic operations in the DTLS handshake.

## Input usage

    action(type="omdtls"
           target="192.0.2.1"
           port="4433"
           tls.myCert="/etc/rsyslog/omdtls.crt"
           tls.myPrivKey="/etc/rsyslog/omdtls.key")

## See also

See also omdtls: Output Module for DTLS Protocol over UDP.

Support: rsyslog Assistant | GitHub Discussions | GitHub Issues: rsyslog source project

Contributing: Source & docs: rsyslog source project

© 2008–2025 Rainer Gerhards and others. Licensed under the Apache License 2.0.